TCTI-SPI(7)

NAME
tcti-spi-helper - device driver TCTI library

SYNOPSIS
A TPM Command Transmission Interface (TCTI) module for communication via SPI. TPM device driver.

DESCRIPTION
tcti-spi-helper is a library that abstracts the details of communication with a TPM via SPI protocol. It uses user supplied methods for SPI and timing operations in order to be platform independent. These methods are supplied to `Tss2_Tcti_Spi_Init` via the `TSS2_TCTI_SPI_PLATFORM` struct.

AUTHOR
TPM2 Software Project <https://github.com/tpm2-software/tpm2-tss>

SEE ALSO
Tss2_Tcti_Device_Init(3), Tss2_Tcti_Socket_Init(3), Tss2_TctiLdr_Initialize(3), Tss2_TctiLdr_Finalize(3), tcti-device(7), tcti-socket(7), tcti-tabrmd(7), tpm2-abrmd(8)

COLOPHON
This page is part of release 4.1.3 of Open Source implementation of the TCG TPM2 Software Stack (TSS2). A description of the project, information about reporting bugs, and the latest version of this page can be found at https://github.com/tpm2-software/tpm2-tss/.